import { Injectable, ɵɵdefineInjectable, Component, Input, ɵɵinject, NgModule } from '@angular/core';
import { Router, ActivatedRoute, RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { map } from 'rxjs/operators';
import { Global } from 'asap-crud';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AsapPollService = /** @class */ (function () {
    function AsapPollService() {
    }
    AsapPollService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    AsapPollService.ctorParameters = function () { return []; };
    /** @nocollapse */ AsapPollService.ngInjectableDef = ɵɵdefineInjectable({ factory: function AsapPollService_Factory() { return new AsapPollService(); }, token: AsapPollService, providedIn: "root" });
    return AsapPollService;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AsapPollComponent = /** @class */ (function () {
    function AsapPollComponent(router, route) {
        this.router = router;
        this.route = route;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    AsapPollComponent.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        if (changes.settings && this.settings) {
            this.processComments(this.settings.data);
        }
    };
    /**
     * @param {?} data
     * @return {?}
     */
    AsapPollComponent.prototype.processComments = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        console.log(data);
        this.data = data;
    };
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //body: option_id
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    AsapPollComponent.prototype.openPoll = 
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        this.router.navigateByUrl("polls/item/" + id);
    };
    AsapPollComponent.decorators = [
        { type: Component, args: [{
                    selector: 'asap-components-poll',
                    template: "<router-outlet></router-outlet>"
                }] }
    ];
    /** @nocollapse */
    AsapPollComponent.ctorParameters = function () { return [
        { type: Router },
        { type: ActivatedRoute }
    ]; };
    AsapPollComponent.propDecorators = {
        settings: [{ type: Input }]
    };
    return AsapPollComponent;
}());
if (false) {
    /** @type {?} */
    AsapPollComponent.prototype.settings;
    /** @type {?} */
    AsapPollComponent.prototype.data;
    /** @type {?} */
    AsapPollComponent.prototype.router;
    /** @type {?} */
    AsapPollComponent.prototype.route;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/services/data.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DataService = /** @class */ (function () {
    function DataService(http) {
        this.http = http;
    }
    Object.defineProperty(DataService.prototype, "baseUrl", {
        get: /**
         * @return {?}
         */
        function () {
            return localStorage.getItem('apiURL');
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    DataService.prototype.companies = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var client = localStorage.getItem('client');
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/admin/asap-client/vinculo/' + client;
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} body
     * @return {?}
     */
    DataService.prototype.geralWeb = /**
     * @param {?} body
     * @return {?}
     */
    function (body) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/geral/mobile/web';
        return this.http.post(url, body, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.newsSection = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/news-section';
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} section
     * @return {?}
     */
    DataService.prototype.news = /**
     * @param {?} section
     * @return {?}
     */
    function (section) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/news-section/' + section + '/news';
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.featured = /**
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    function (type, id) {
        if (type === 'course-session' || type === 'course-section') {
            type = 'curso';
        }
        if (type === 'event-session' || type === 'event-section') {
            type = 'evento';
        }
        if (type === 'video-session') {
            type = 'video';
        }
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/itens/custom?type=' + type + '&id=' + id + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.channel = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        /** @type {?} */
        var url = this.baseUrl + "/api/v2/admin/channel/" + id + "?client_id=" + this.client;
        console.log(url);
        return this.http.get(url, this.header)
            .pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        function (response) { return response.data; })));
    };
    /**
     * @param {?} userId
     * @return {?}
     */
    DataService.prototype.event = /**
     * @param {?} userId
     * @return {?}
     */
    function (userId) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/event/unit/' + userId + '?type=presential' + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.web = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/trilha/geral/web?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.progress = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/trilha', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.lives = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/event/live/gallery?client_id=' + this.client, this.header);
    };
    /**
     * @param {?} type
     * @param {?} role
     * @return {?}
     */
    DataService.prototype.custom = /**
     * @param {?} type
     * @param {?} role
     * @return {?}
     */
    function (type, role) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/trilha/geral/custom?type=' + type + '&role=' + role + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.acervo = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/admin/acervo/pasta/abre/permission', this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.color = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v2/admin/color/' + id, this.header);
    };
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.pollsQuestions = 
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v2/client/polls/item/view/' + id, this.header);
    };
    /**
     * @param {?} id
     * @param {?} data
     * @return {?}
     */
    DataService.prototype.updatePolls = /**
     * @param {?} id
     * @param {?} data
     * @return {?}
     */
    function (id, data) {
        return this.http.post(this.baseUrl + '/api/v2/client/polls/item/view/' + id, data, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.notices = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/edital/influenciadores', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.journey = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v21/admin/jornada', this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.journeyItens = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v21/admin/jornada/item/client/' + id, this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.trailSessao = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v21/admin/trail/session?type=' + id, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.cursosSessao = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/session/geral/web?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.videoSessao = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v21/admin/videos/session?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.eventoSessao = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v21/admin/eventos/session?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.benefits = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/beneficio/geral/web', this.header);
    };
    /**
     * @param {?} clientID
     * @return {?}
     */
    DataService.prototype.credits = /**
     * @param {?} clientID
     * @return {?}
     */
    function (clientID) {
        return this.http.get(this.baseUrl + '/api/v2/client/creditos/' + clientID, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.studio = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/course?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.menu = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/admin/permission/' + this.userId, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.menuLateral = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/admin/menu/view', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.expositor = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/expositor?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.jobs = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/opportunity/user?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.data = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/home/info', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.mentoriaSection = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + "/api/v2/client/mentoria-section", this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.users = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + "/api/v2/client/network/users", this.header);
    };
    /**
     * @param {?} section
     * @return {?}
     */
    DataService.prototype.forums = /**
     * @param {?} section
     * @return {?}
     */
    function (section) {
        /** @type {?} */
        var query = 'all&search=' + btoa("(theme_id IN (SELECT id FROM forum_theme WHERE (session_id=" + section + ")))");
        return this.http.get(this.baseUrl + "/api/v2/client/forum-chat?" + query, this.header);
    };
    Object.defineProperty(DataService.prototype, "client", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var storage = localStorage.getItem('loggedUser');
            if (!storage) {
                return '';
            }
            /** @type {?} */
            var loggedUser = JSON.parse(storage);
            return loggedUser.data.client_id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataService.prototype, "userId", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var storage = localStorage.getItem('loggedUser');
            if (!storage) {
                return '';
            }
            /** @type {?} */
            var loggedUser = JSON.parse(storage);
            return loggedUser.data.id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataService.prototype, "header", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var token = localStorage.getItem('token');
            /** @type {?} */
            var headerOptions = {
                Accept: 'application/json'
            };
            if (token) {
                headerOptions['Authorization'] = token;
            }
            return { headers: new HttpHeaders(headerOptions) };
        },
        enumerable: true,
        configurable: true
    });
    DataService.decorators = [
        { type: Injectable, args: [{ providedIn: 'root' },] }
    ];
    /** @nocollapse */
    DataService.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    /** @nocollapse */ DataService.ngInjectableDef = ɵɵdefineInjectable({ factory: function DataService_Factory() { return new DataService(ɵɵinject(HttpClient)); }, token: DataService, providedIn: "root" });
    return DataService;
}());
if (false) {
    /** @type {?} */
    DataService.prototype.http;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/question/poll-questions.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var PollQuestionsComponent = /** @class */ (function () {
    function PollQuestionsComponent(global, route, dataService) {
        this.global = global;
        this.route = route;
        this.dataService = dataService;
    }
    /**
     * @return {?}
     */
    PollQuestionsComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.route.params.subscribe((/**
         * @param {?} params
         * @return {?}
         */
        function (params) {
            _this.id = params.id;
            _this.getPollsQuestions(params.id);
            // this.itemType = 'view';
        }));
    };
    /**
     * @param {?} id
     * @return {?}
     */
    PollQuestionsComponent.prototype.getPollsQuestions = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        var _this = this;
        this.dataService.pollsQuestions(id).subscribe((/**
         * @param {?} response
         * @return {?}
         */
        function (response) {
            _this.data = response;
        }));
    };
    /**
     * @param {?} answer
     * @return {?}
     */
    PollQuestionsComponent.prototype.updatePollsQuestions = /**
     * @param {?} answer
     * @return {?}
     */
    function (answer) {
        var _this = this;
        // this.data.options[this.data.options.indexOf(answer)].selected = !answer.selected;
        console.log('herber', answer);
        /** @type {?} */
        var body = {
            option_id: answer.id,
            selected: answer.selected
        };
        this.dataService.updatePolls(this.id, body).subscribe((/**
         * @param {?} response
         * @return {?}
         */
        function (response) {
            _this.data = response;
        }));
        this.global.alert("Concluído!", "Avaliado com sucesso!", "success");
        if (answer.type == 'answers') {
            this.itemTypeAnswers = 'report';
        }
        else {
            this.itemType = 'report';
        }
    };
    PollQuestionsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'poll-questions.component',
                    template: "<div class=\"container py-4\">\r\n    <div class=\"row\">\r\n        <div class=\"col-sm-8 mx-auto\">\r\n            <!-- <div class=\"mt-4\">\r\n                <nav aria-label=\"breadcrumb\">\r\n                    <ol class=\"breadcrumb px-0\">\r\n                        <li class=\"breadcrumb-item\"><a routerLink=\"/polls\">Enquetes</a></li>\r\n                        <li class=\"breadcrumb-item\"><a (click)=\"itemType='view'\">Conex\u00F5es</a></li>\r\n                        <li class=\"breadcrumb-item active\" aria-current=\"page\">Resultado</li>\r\n                    </ol>\r\n                </nav>\r\n            </div> -->\r\n            <div class=\"polls-section mt-5\">\r\n\r\n                <h5 class=\"polls-section-title\">{{ data?.title }}</h5>\r\n                <!-- Tipo pesquisa -->\r\n                <div class=\"mb-4\">\r\n                    <ng-container *ngIf=\"data?.type === 'answers' && !itemType\">\r\n                        <div *ngIf=\"data?.already_voted === false\" class=\"polls-multichoice\">\r\n                            <li *ngFor=\"let item of data?.options\" [ngClass]=\"{'selected' : item.selected}\">\r\n                                <span (click)=\"updatePollsQuestions(item)\">{{ item.text }}</span>\r\n                            </li>\r\n                        </div>\r\n                    </ng-container>\r\n                </div>\r\n\r\n                <!-- Tipo pergunta -->\r\n                <div class=\"mb-4\">\r\n                    <ng-container *ngIf=\"data?.type === 'survey' && !itemType\">\r\n                        <ul *ngIf=\"data?.already_voted === false\" class=\"polls-multichoice-vertical\">\r\n                            <li *ngFor=\"let item of data?.options\" [ngClass]=\"{'selected' : item.selected}\"\r\n                                (click)=\"updatePollsQuestions(item)\">\r\n                                <div *ngIf=\"item.selected\" class=\"check\">\r\n                                    <i class=\"bi bi-check-circle-fill\"></i>\r\n                                </div>\r\n                                <p>{{ item.text }}</p>\r\n                            </li>\r\n                        </ul>\r\n                    </ng-container>\r\n                </div>\r\n\r\n                <ng-container *ngIf=\"itemType || data?.already_voted === true\">\r\n                    <h5 class=\"polls-section-title\">Resultado</h5>\r\n                    <div class=\"polls-report\" *ngFor=\"let item of data?.options\">\r\n                        <div class=\"row fs-14\">\r\n                            <div class=\"col-sm-6 item-text\">{{ item.text }}</div>\r\n                        </div>\r\n                        <div class=\"progress\" style=\"height: 30px;\">\r\n                            <div class=\"progress-bar bg-success\" role=\"progressbar\"\r\n                                [ngStyle]=\"{width: item.percentage + '%'}\" aria-valuenow=\"25\" aria-valuemin=\"0\"\r\n                                aria-valuemax=\"100\">\r\n                                <span class=\"progress-completed\">{{ item.percentage }}%</span>\r\n                            </div>\r\n                                \r\n                        </div>\r\n                    </div>\r\n                    <div class=\"mt-4\">\r\n                        <small>\r\n                            <i class=\"bi bi-bar-chart\"></i>\r\n                            {{ data?.total_votes }} Participa\u00E7\u00F5es\r\n                        </small>\r\n                    </div>\r\n                </ng-container>\r\n\r\n            </div>\r\n\r\n        </div>\r\n    </div>\r\n</div>",
                    styles: [".polls-item{display:flex;align-items:flex-start;justify-content:space-between;flex-direction:column;height:130px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-section h5{text-align:center}.polls-multichoice{display:flex;align-items:center;justify-content:center;margin:20px 0 0}.polls-multichoice li{width:45px;height:45px;line-height:45px;padding:0 5px;background-color:#eee;border:1px solid #fff;border-radius:4px;text-align:center;font-size:16px}.polls-multichoice li:hover{background-color:#ddd;cursor:pointer}.polls-multichoice li.selected{background-color:var(--main-color);color:#fff}li{list-style-type:none}.polls-multichoice-vertical{margin-top:30px}.polls-multichoice-vertical li{position:relative;display:flex;align-items:flex-start;justify-content:center;flex-direction:column;width:100%;min-height:50px;margin-bottom:15px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-multichoice-vertical li:hover{border:1px solid #666;cursor:pointer}.polls-multichoice-vertical li.selected{background-color:var(--main-color);color:#fff}.polls-multichoice-vertical li.selected .check{display:block;position:absolute;top:5px;right:10px}.polls-multichoice-vertical li.selected .check i{font-size:15px}.polls-multichoice-vertical li .check{display:none}.polls-multichoice-vertical li p{width:90%;overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;font-size:14px}.polls-report{border-radius:8px;margin:25px 0 0}.polls-report .item-text{font-size:16px;font-weight:500}.polls-report .progress{border-radius:4px!important;background-color:#f9f9f9}.polls-report .progress-bar{border-radius:4px!important}.polls-report .progress-bar .progress-completed{position:absolute;right:0;font-weight:800;padding:3px 25px 2px}.polls-report .bg-success{background-color:var(--main-color)!important;color:#414141}"]
                }] }
    ];
    /** @nocollapse */
    PollQuestionsComponent.ctorParameters = function () { return [
        { type: Global },
        { type: ActivatedRoute },
        { type: DataService }
    ]; };
    return PollQuestionsComponent;
}());
if (false) {
    /** @type {?} */
    PollQuestionsComponent.prototype.id;
    /** @type {?} */
    PollQuestionsComponent.prototype.data;
    /** @type {?} */
    PollQuestionsComponent.prototype.itemType;
    /** @type {?} */
    PollQuestionsComponent.prototype.itemTypeAnswers;
    /** @type {?} */
    PollQuestionsComponent.prototype.global;
    /** @type {?} */
    PollQuestionsComponent.prototype.route;
    /** @type {?} */
    PollQuestionsComponent.prototype.dataService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AsapPollModule = /** @class */ (function () {
    function AsapPollModule() {
    }
    AsapPollModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        RouterModule,
                        FormsModule,
                        ReactiveFormsModule,
                    ],
                    declarations: [
                        AsapPollComponent,
                        PollQuestionsComponent
                    ],
                    exports: [
                        AsapPollComponent,
                        PollQuestionsComponent
                    ]
                },] }
    ];
    return AsapPollModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.routing.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var PollRoutes = [
    {
        path: '',
        component: AsapPollComponent,
    },
    {
        path: ':id',
        component: PollQuestionsComponent,
    }
];

/**
 * @fileoverview added by tsickle
 * Generated from: projects.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: asap-poll.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { AsapPollComponent, AsapPollModule, AsapPollService, PollRoutes, PollQuestionsComponent as ɵa, DataService as ɵb };
//# sourceMappingURL=asap-poll.js.map
